This patch fixes a bug with allowing remote servers to set invalid
bans - either starting with a ':' during a TS6 netburst, or a ban
containing a space through MODE.

To apply this diff:
  cd SRC/modules
  patch -p1 < ircd-ratbox-2.0.8+ban.diff
  make
  make install

Then via irc:
  /quote modrestart

Index: modules/core/m_mode.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/modules/core/m_mode.c,v
retrieving revision 1.112.2.6
diff -u -r1.112.2.6 m_mode.c
--- modules/core/m_mode.c	28 Jan 2005 20:25:14 -0000	1.112.2.6
+++ modules/core/m_mode.c	28 Apr 2005 22:36:01 -0000
@@ -355,6 +355,10 @@
 
 	while(s != NULL)
 	{
+		/* ban with a leading ':' -- this will break the protocol */
+		if(*s == ':')
+			goto nextban;
+
 		tlen = strlen(s);
 
 		/* I dont even want to begin parsing this.. */
@@ -385,6 +389,7 @@
 			modecount++;
 		}
 
+nextban:
 		s = t;
 
 		if(s != NULL)
@@ -881,7 +886,12 @@
 		return;
 
 	if(!MyClient(source_p))
+	{
+		if(strchr(raw_mask, ' '))
+			return;
+		
 		mask = raw_mask;
+	}
 	else
 		mask = pretty_mask(raw_mask);
 
